Bug 1271008 - [RFE] OpenStack director should automate flavor creation for overcloud deploy
[RFE] OpenStack director should automate flavor creation for overcloud deploy
Status: CLOSED WONTFIX
Product: Red Hat OpenStack
Classification: Red Hat
Component: rhosp-director (Show other bugs)
7.0 (Kilo)
Unspecified Unspecified
unspecified Severity high
: ---
: 10.0 (Newton)
Assigned To: Hugh Brock
Shai Revivo
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-12 18:07 EDT by Bryan Yount
Modified: 2016-09-30 04:04 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-09-30 04:04:36 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 1987823 None None None Never

  None (edit)
Description Bryan Yount 2015-10-12 18:07:01 EDT
Description of problem:
After deployment of the undercloud, the user needs to manually create different flavors that will be used to deploy the overcloud. This can be time consuming and error-prone. It would be helpful if OSP director would guide the user through creation of flavors using various prompts.

The role assignment in OSP director works as follows:
1. Each node registered in Ironic has a profile attached to it.
2. Flavors are created in Nova that reference a profile as a flavor property.
3. OSP director has to satisfy specific roles, and it does so by being told which flavor to use for each role.

Version-Release number of selected component (if applicable):
osp-d 7.0

Actual results:
The user is required to manually create nova flavors for the overcloud deploy
undercloud$ openstack flavor create

Expected results:
It would be helpful if there was a way to have the undercloud generate a set of defaults for the user or walk the user through an interactive shell. Something like:
undercloud$ openstack overcloud createflavors
Comment 5 Mike Burns 2016-04-07 16:54:03 EDT
This bug did not make the OSP 8.0 release.  It is being deferred to OSP 10.
Comment 7 Jaromir Coufal 2016-09-30 04:04:36 EDT
Done via Ironic node tagging now.

Note You need to log in before you can comment on or make changes to this bug.